Subject: snmp traps in agentx

From: gopal krishna <[email-masked]>
Date: Tue, 28 Dec 1999 07:31:30 -0800 (PST)

hi,

i need some clarification regarding traps.

suppose subagents  are required to send traps to
snmp managers (by either 
the ipaddress or host name of managers).

the  subagents are required to  

1a)  Send traps to  a particular manager for some of  
      the events.

1b)  Same trap to more than one  managers  for other  
       events

2) also Is it possible for the individual subagents to
             specify even the version of traps
   (i.e, snmp v1 or v2  trap) that should be sent to  
   snmp  managers  in the case 1)a & 1)b  

is there any scope for this kind of operation in
AgentX.

if this is considered as implementation specific,
what would be the ideal solution .

regards,
gopal
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://messenger.yahoo.com

---

From: Mike Daniele <[email-masked]>
Date: Tue, 28 Dec 1999 11:00:23 -0500

Hi Gopal,

See section 7.1.10 of the latest draft,
http://www.ietf.org/internet-drafts/draft-ietf-agentx-rfc-update-03.txt

AgentX subagents pass notification information to master agents in SNMPv2
format (must include snmpTrapOID.0).  From there the master agent
decides which targets (managers) may or may not receive it, and in which
SNMP version to encode the information.

This has typically been done via implementation-specific configuration files.

RFC 2573 defines MIB objects for targets (manager addresses) and notification
generation.

Regards,
Mike